import java.awt.*;
import java.applet.*;
import javax.swing.*;

/**
 * KMap.java 1.0 02/11/12
 * <br><br>
 * Author       : James McMahon
 * <br><br>
 * KMap Hint Panel Class
 * <br><br>
 * Provides a hint screen for users
 * which allows specific diagrams to be displayed on a scrollPane
 * <br><br>
 * Created      : 13/11/2001<br>
 * Last Updated : 13/11/2001
 */

public class HintPanel extends JPanel {
	
	/** 
	 * The tips about the algorithm used
	 */
	private JTextPane hints = new JTextPane();
	
	/**
	 * Creates a hint panel with adivce on the problems caused by an
	 * in accurate algorithm for generating unique minimal terms
	 */
	public HintPanel() {
		
		this.setPreferredSize(new Dimension(100,100));	
		this.setBorder(BorderFactory.createTitledBorder("Hints:..."));		
		
		hints.setText("Please note that the algorithm that checks the minimal terms \n  will usually generate a full minimal term however there is no guarantee \n that it is unique therefore bear this in mind when checking answers");
		hints.setEditable(false);	
		
		this.add(hints);
	}
}